[jira] [Updated] (GROOVY-8508) VerifyError calling Comparator.naturalOrder() since Groovy 2.4.14

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Updated] (GROOVY-8508) VerifyError calling Comparator.naturalOrder() since Groovy 2.4.14

JIRA jira@apache.org

     [ https://issues.apache.org/jira/browse/GROOVY-8508?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

Roman Stumm updated GROOVY-8508:
--------------------------------
    Priority: Blocker  (was: Major)

> VerifyError calling Comparator.naturalOrder() since Groovy 2.4.14
> ------------------------------------------------------------------
>
>                 Key: GROOVY-8508
>                 URL: https://issues.apache.org/jira/browse/GROOVY-8508
>             Project: Groovy
>          Issue Type: Bug
>          Components: groovy-runtime
>    Affects Versions: 2.4.14
>         Environment: macOS
>            Reporter: Roman Stumm
>            Priority: Blocker
>
> {color:#808080}tested on macOS with Java SE Development Kit 8u162.{color}
> {color:#808080}works with groovy 2.4.13.{color}
> {color:#808080}fails with groovy 2.4.14 ->{color}
> {color:#808080}java.lang.VerifyError: (class: java_util_Comparator$naturalOrder, method: callStatic signature:{color}{color:#808080}  (Ljava/lang/Class;[Ljava/lang/Object;)Ljava/lang/Object Illegal type in constant pool{color}{color:#808080}
> {color}
> Comparator.naturalOrder()



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)